package org.springblade.system.service;


import org.springblade.common.core.domain.entity.KyDataClassify;
import org.springblade.common.core.domain.entity.KyDataClassifyVo;

import java.util.List;

public interface KyDataClassifyService {

    /**
     * 获取数据分类管理列表
     * @param kyDataClassify
     * @return
     */
    List<KyDataClassify> selectKyDataClassifyList(KyDataClassify kyDataClassify);

    /**
     * 新增数据分类
     * @param kyDataClassify
     * @return
     */
    int addKyDataClassify(KyDataClassify kyDataClassify);

    /**
     * 修改数据分类
     * @param kyDataClassify
     * @return
     */
    int updateKyDataClassify(KyDataClassify kyDataClassify);

    /**
     * 删除数据分类
     * @param kyDataClassify
     * @return
     */
    int delKyDataClassify(KyDataClassify kyDataClassify);

    /**
     * 获取数据分类管理下拉框
     * @param kyDataClassify
     * @return
     */
    List<KyDataClassifyVo> listAll(KyDataClassify kyDataClassify);

	KyDataClassify getById(KyDataClassify dto);
}
